About Microsoft Jet 4.0 SP8 or later

Applies to
Microsoft Office Access 2003

Service Pack 8 (SP8) or later of Microsoft Jet database engine 4.0 allows Access 2003 to be fully functional, yet still have Jet block unsafe expressions by enabling sandbox mode.

Why enable sandbox mode?

Access 2003 uses the Microsoft Jet Expression Service to evaluate expressions in forms, reports, queries, and in several other places. Some of these expressions can be unsafe. Unsafe expressions contain methods or functions that could be exploited by malicious users to access drives, files, or other resources for which they do not have authorization. If such users have access to these resources, they may be able to perform actions such as deleting all of the files from a folder, tying up a network resource, or modifying a file.

For more information about sandbox mode, see the article Frequently asked questions about Access security warnings. This article also covers limitations of sandbox mode and ways to work around these limitations.

For more information about functions and properties that are blocked in sandbox mode, see the Help topic Functions and properties that are blocked in sandbox mode.

Installing the latest version of Jet on your computer

To enable sandbox mode, you must first install Jet 4.0 SP 8 or later. You can install the service pack in one of the following ways:

  • By installing the critical Windows updates      If you have installed all the critical Windows updates for your computer, then your computer already has the latest version of Jet because one of the critical Windows updates includes Jet 4.0 SP 8 or later. To install critical Windows updates or to verify that all critical updates are installed on your computer, visit Microsoft Windows Update.

 Important   Installing the latest version of Jet alone will not enable sandbox mode. When you start Access after the service pack is installed, and prompted to block unsafe expressions, click Yes, and restart Access.

 
 
Applies to:
Access 2003